OpenTTD Source: ConstructionSettings Struct Reference

OpenTTD Source 13.1

Data Fields
ConstructionSettings Struct Reference

Settings related to construction in-game. More...

`#include <settings_type.h>`

## Data Fields
uint8 | map_height_limit
| the maximum allowed heightlevel
bool | build_on_slopes
| allow building on slopes
bool | autoslope
| allow terraforming under things
uint16 | max_bridge_length
| maximum length of bridges
byte | max_bridge_height
| maximum height of bridges
uint16 | max_tunnel_length
| maximum length of tunnels
byte | train_signal_side
| show signals on left / driving / right side
bool | extra_dynamite
| extra dynamite
bool | road_stop_on_town_road
| allow building of drive-through road stops on town owned roads
bool | road_stop_on_competitor_road
| allow building of drive-through road stops on roads owned by competitors
uint8 | raw_industry_construction
| type of (raw) industry construction (none, "normal", prospecting)
uint8 | industry_platform
| the amount of flat land around an industry
bool | freeform_edges
| allow terraforming the tiles at the map edges
uint8 | extra_tree_placement
| (dis)allow building extra trees in-game
uint8 | command_pause_level
| level/amount of commands that can't be executed while paused
uint32 | terraform_per_64k_frames
| how many tile heights may, over a long period, be terraformed per 65536 frames?
uint16 | terraform_frame_burst
| how many tile heights may, over a short period, be terraformed?
uint32 | clear_per_64k_frames
| how many tiles may, over a long period, be cleared per 65536 frames?
uint16 | clear_frame_burst
| how many tiles may, over a short period, be cleared?
uint32 | tree_per_64k_frames
| how many trees may, over a long period, be planted per 65536 frames?
uint16 | tree_frame_burst
| how many trees may, over a short period, be planted?
uint32 | build_object_per_64k_frames
| how many tiles may, over a long period, be purchased or have objects built on them per 65536 frames?
uint16 | build_object_frame_burst
| how many tiles may, over a short period, be purchased or have objects built on them?

## Detailed Description

Settings related to construction in-game.

Definition at line 341 of file settings_type.h.

The documentation for this struct was generated from the following file:

- src/settings_type.h